%define module_version 0.10
%define module_name MooseX-Runnable
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(App/Packer/PAR.pm) perl(Class/Load.pm) perl(Data/Dump/Streamer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ChangeNotify.pm) perl(File/Spec.pm) perl(FindBin.pm) perl(List/SomeUtils.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/ScanDeps.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/Getopt.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Path/Tiny.pm) perl(Params/Util.pm) perl(Params/Validate.pm) perl(Path/Tiny.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/TableDriven.pm) perl(namespace/autoclean.pm) perl(ok.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1.1
Summary: Tag a class as a runnable application
Group: Development/Perl
License: perl
URL: https://github.com/moose/MooseX-Runnable

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
MooseX::Runnable is a framework for making classes runnable
applications.  This role doesn't do anything other than tell the rest
of the framework that your class is a runnable application that has a
`run' method which accepts arguments and returns the process' exit
code.

This is a convention that the community has been using for a while.
This role tells the computer that your class uses this convention, and
let's the computer abstract away some of the tedium this entails.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE README Changes example
%perl_vendor_privlib/M*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1.1
- rebuild to restore role requires

* Sun Mar 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

